<?php


namespace App\ViewModels\ClassificacaoRisco\ClassificacaoRiscoUpdateViewModel;


use App\Utils\Builder;
use App\ViewModels\ClassificacaoRisco\ClassificacaoRiscoRegistrationViewModel\ClassificacaoRiscoRegistrationViewModel;

class ClassificacaoRiscoUpdateViewModelBuilder implements Builder
{
    private $descricao;
    private $id_unidade;
    private $cor;
    private $valor;
    private $atualizado_em;
    private $alterado_por;

    /**
     * @param mixed $descricao
     * @return ClassificacaoRiscoUpdateViewModelBuilder
     */
    public function setDescricao($descricao)
    {
        $this->descricao = $descricao;
        return $this;
    }

    /**
     * @param mixed $id_unidade
     * @return ClassificacaoRiscoUpdateViewModelBuilder
     */
    public function setIdUnidade($id_unidade)
    {
        $this->id_unidade = $id_unidade;
        return $this;
    }

    /**
     * @param mixed $cor
     * @return ClassificacaoRiscoUpdateViewModelBuilder
     */
    public function setCor($cor)
    {
        $this->cor = $cor;
        return $this;
    }

    /**
     * @param mixed $valor
     * @return ClassificacaoRiscoUpdateViewModelBuilder
     */
    public function setValor($valor)
    {
        $this->valor = $valor;
        return $this;
    }

    /**
     * @param mixed $atualizado_em
     * @return ClassificacaoRiscoUpdateViewModelBuilder
     */
    public function setAtualizadoEm($atualizado_em)
    {
        $this->atualizado_em = $atualizado_em;
        return $this;
    }

    /**
     * @param mixed $alterado_por
     * @return ClassificacaoRiscoUpdateViewModelBuilder
     */
    public function setAlteradoPor($alterado_por)
    {
        $this->alterado_por = $alterado_por;
        return $this;
    }


    public function build() : ClassificacaoRiscoUpdateViewModel
    {
        $paciente_update_vm = new ClassificacaoRiscoUpdateViewModel();
        if (isset($this->descricao)) {
            $paciente_update_vm->setDescricao($this->descricao);
        }
        if (isset($this->id_unidade)) {
            $paciente_update_vm->setIdUnidade($this->id_unidade);
        }
        if (isset($this->cor)) {
            $paciente_update_vm->setCor($this->cor);
        }
        if (isset($this->valor)) {
            $paciente_update_vm->setValor($this->valor);
        }
        if (isset($this->atualizado_em)) {
            $paciente_update_vm->setAtualizadoEm($this->atualizado_em);
        }
        if (isset($this->alterado_por)) {
            $paciente_update_vm->setAlteradoPor($this->alterado_por);
        }
        return $paciente_update_vm;
    }


}